SELECT col1
           , col17
           , LAG(col14) OVER (PARTITION BY col1, col17 ORDER BY col1, col17, col14)
           , col14
           , col14 - LAG(col14) OVER (PARTITION BY col1, col17 ORDER BY col1, col17, col14) AS t
           , col14 - LAG(col14) OVER (PARTITION BY col1, col17 ORDER BY col1, col17, col14) < '5 mins' AS v
      FROM myschema.mytable
      WHERE col14 >= '2024-11-01'
        AND col14 < '2024-12-01'
        AND col17 = 'FOOBAR';
